plugins["Akete"] = {
  version: "1.0.0.0",
  lastChange: "Nov 17th, 2008",
  displayName: "Akete",
  directory: currentDirectory,
  icon: currentDirectory + "\\Akete.ico",
  aliasstr: "Akete",
  //regexstr: "^" + this.aliasstr + " ?(.*)", 
  //regexobj: /^Akete ?(.*)/, // XXX: to get compilation of the regex?
  search: function(querykey, explicit, queryraw, querynokeyword, 
                   modifier, triggermethod) {
    if (!explicit) { return };
    // XXX
    FARR.emitResult(querykey, "Akete", "Akete", this.icon, CLIP, MATCH_AGAINST_SEARCH, 10000);
  },
  trigger: function(path, title, groupname, pluginid, thispluginid, score, 
                    entrytype, args) {
    // XXX: don't want this in our case
    //if (groupname != "fssc/Akete") { return; }
    switch (entrytype) {
      case FILE:
        // XXX: dot inside square brackets escaping?
        var match = /\.([^\.]+)$/i.exec(path); 
        // XXX: in general, better to handle an alias string w/ 
        //      $$1-style interpolation, but not doing that yet
        var apppath;
        if (match) {
          var ext = match[1]; 
          //FARR.debug("extension: " + ext); 
          try {
            apppath = FARR.getStrValue("uservar.Akete." + ext);
          } catch (e) {
            return;
          }
          //FARR.debug("apppath: " + apppath); 
          // XXX: check whether path makes sense?
          if (apppath) {
            var launchstr = apppath + " " + "\"" + path + "\"";
            //FARR.debug("launchstr: " + launchstr); 
            FARR.setStrValue("launch", launchstr);
            return HANDLED | CLOSE;
          }
          return;
        }
        return;
        //break;
      default:
        return;
    }
    return; 
  }
}
